Bug 136920 - man -k is not returning any hits
man -k is not returning any hits
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 00:28 EDT by Mike
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 11:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2004-10-23 00:28:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Some examples:

 # man -k open
open: nothing appropriate
 # man -k screen
screen: nothing appropriate
 # man -k vertical
vertical: nothing appropriate
 # man -k login
login: nothing appropriate


Version-Release number of selected component (if applicable):
man-pages-1.67-3

How reproducible:
Always

Steps to Reproduce:
1.man -k <whatever>
2.
3.
    

Actual Results:  not results found

Expected Results:  appropriate results

Additional info:
Comment 1 Michael Schwendt 2004-10-24 09:03:35 EDT
Have you built the 'whatis' databases already? There's a weekly cron
job that would do it.

Run: sh /etc/cron.weekly/makewhatis.cron

Then try again.
Comment 2 Mike 2004-10-24 12:10:45 EDT
So are you saying that this would be more of a bug with some other
package?  Surely, running this, or something like it, should be part
of the man-pages RPM's installation scripts or at the very minimum
part of FC3's installation procedure, no? 

Regards, Mike Klinke
Comment 3 Barry K. Nathan 2004-10-25 02:59:43 EDT
This bug reminds me of bug 1763. ;)

This should *not* be done by the man-pages RPM -- it's not the only
RPM that contains man pages. It would be more misleading to have
incomplete "man -k" output than none at all.

The safest approach may be to add a warning to a screen somewhere in
firstboot, letting the user know that "man -k" (and probably "locate"
too) may not work for a couple of hours.
Comment 4 Barry K. Nathan 2004-10-25 03:02:36 EDT
I forgot to mention in my last comment: makewhatis takes long enough
to run (particularly on slow machines) that it's not something I want
to stand (or sit) around waiting for at the end of an install, when it
can run in the background instead.
Comment 5 Mike 2004-10-25 09:08:21 EDT
Just as a point of reference it took 15 minutes on my 700 MHz Sony
Laptop when I ran makewhatis as per Michael's advice above on a system
installed with "Everything."

There may be something else going on here.  I Installed FC3 from FC3
iso's on 16Oct04 at 01:11:

 -rw-r--r--  1 root root   66628 Oct 16 01:11 install.log

Cron ran the weekly jobs at 05:23, some four hours later:

cron.1:Oct 16 05:23:18 linmaster anacron[2990]: Job `cron.weekly' started
cron.1:Oct 16 05:23:19 linmaster anacron[23874]: Updated timestamp for
job `cron.weekly' to 2004-10-16
cron.1:Oct 16 06:29:32 linmaster anacron[2990]: Job `cron.weekly'
terminated

It was nearly a week later that I discovered this and posted this bug
bug notice on 23Oct04 at 00:28

Additionally, after the weekly script ran last night, 24Oct04, the
"man -k" seems to work properly.

08:04:58 # ls cron.weekly/
0anacron  fixfiles.cron  makewhatis.cron
 

Regards, Mike Klinke
Comment 6 Eido Inoue 2004-10-25 11:34:15 EDT
comment 3: the note about needing to run makewhatis is in the
documentation-- I don't think a firstboot warning (especially since
it's usually graphic) would be appropriate. I'll consider adding a
warning to man that detects if the makewhatis has been run at least
once and provide a warning if it hasn't.

Note You need to log in before you can comment on or make changes to this bug.